Bug 3783 - Metabug about Applications ignoring Proxy settings
: Metabug about Applications ignoring Proxy settings
Status: NEW
Product: Connectivity
Networking
: unspecified
: All Linux
: Low normal with 21 votes (vote)
: ---
Assigned To: unassigned
: networking-bugs
:
:
: int-86903 int-128228 int172814/int-239577 int-187775 int-28826/int-128109 int118086/int-186464 int-128216 3110 int-128109
:
  Show dependency tree
 
Reported: 2008-10-06 15:35 UTC by Andre Klapper
Modified: 2010-08-25 16:06 UTC (History)
6 users (show)

See Also:


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description Andre Klapper (reporter) maemo.org 2008-10-06 15:35:09 UTC
Meta bug to track Applications that have issues with the system-wide Proxy
settings, e.g. ignoring the settings or using the settings though they have
been disabled. 
Note that this often touches the defined specification requirements of the
affected applications.

Please prefer adding dependency bug IDs instead of adding comments.
Comment 1 Mikhail Zabaluev nokia 2009-06-25 15:35:52 UTC
I believe metabugs have dependencies the other way.
Comment 2 bigbrovar 2010-01-24 11:21:30 UTC
Please someone should give this bug more attention than its getting. IMHO this
is a critical issue because it just turns the N900 to a lemon if you are behind
a network proxy. Nothing beside the web-browser works. Even though I have setup
my school/work network proxy and added it to my wifi proxy settings. Only the
web-browser respects the systemwide proxy settings. On application works not
one beside the browser. even core applications like conservations, Internet
Radio, and the Nokia repository in the app-manager also not work (until i
change my proxy from host to IP) the situation is made worse with 3rd party
applications. all the gpodder,mauku, mastory, OMweather, Pixelpipes, infact not
one internet awared application works (beside email) this is not how things are
with every OS i have tried. WIndows, Mac,IphoneOS,Symbian,Gnome, kde, all have
excellent http_proxy suport but not meamo. The whole situation is a mess and
this really need to be fixed. I have raised the issue once here
http://talk.maemo.org/showthread.php?t=32814 and people discussed what some of
the issues are. Still this issue seems to be largely ignored. 
I am quite aware that this bug may never be fixed in the life time of maemo5 (I
wish it is) and I can live with that. But It has to be included in the roadmap
for maemo6
Comment 3 Chadi 2010-03-10 23:35:01 UTC
I agree. I live on campus and the only available Wi-Fi connection is one that
requires a proxy with authentication, so I can only use the phone for browsing.
Comment 4 bigbrovar 2010-03-15 21:21:26 UTC
It seems this bug would never be fixed, at least not on maemo5 or the N900, oh
well can't say I didn't try :(
Comment 5 Chadi 2010-05-16 11:32:25 UTC
Andre, can you add bug 10062 to the dependency tree?
Comment 6 maemozilla1piga 2010-05-27 18:56:05 UTC
Just installed PR1.2, really hoped that it would fix it. It didn't happen :(

If you are behind a proxy, all IM functionality is lost (no skype, no gtalk).

Proxy support is generally very poor, only the browser honors proxy settings.

As for the application manager, it only works if the proxy is configured with
its IP address, not hostname.

It's really a pity, the potential of the device is so dramatically limited when
behind a proxy, which is not such an unlikely possibility.

This should REALLY be fixed ASAP, it's a major show stopper for a lot of
people.
Comment 7 Andre Klapper (reporter) maemo.org 2010-06-07 14:55:22 UTC
(In reply to comment #6)
> This should REALLY be fixed ASAP, it's a major show stopper for a lot of
> people.

Please try not to add "Me too" comments as it does not provide technical
information for developers. There is talk.maemo.org for this type of
communication. Thanks!